### YamlMime:ManagedReference
items:
- uid: Voile.Font
  commentId: T:Voile.Font
  id: Font
  parent: Voile
  children:
  - Voile.Font.#ctor(System.String,System.Byte[])
  - Voile.Font.Buffer
  - Voile.Font.BufferSize
  - Voile.Font.Size
  langs:
  - csharp
  - vb
  name: Font
  nameWithType: Font
  fullName: Voile.Font
  type: Class
  source:
    remote:
      path: Voile/Source/Resources/Font.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Font
    path: Source/Resources/Font.cs
    startLine: 5
  assemblies:
  - Voile
  namespace: Voile
  summary: Represents font data.
  example: []
  syntax:
    content: 'public class Font : Resource, IDisposable'
    content.vb: Public Class Font Inherits Resource Implements IDisposable
  inheritance:
  - System.Object
  - Voile.Resource
  implements:
  - System.IDisposable
  inheritedMembers:
  - Voile.Resource.Path
  - Voile.Resource.Dispose
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Font.Size
  commentId: P:Voile.Font.Size
  id: Size
  parent: Voile.Font
  langs:
  - csharp
  - vb
  name: Size
  nameWithType: Font.Size
  fullName: Voile.Font.Size
  type: Property
  source:
    remote:
      path: Voile/Source/Resources/Font.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Size
    path: Source/Resources/Font.cs
    startLine: 11
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public int Size { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Property Size As Integer
  overload: Voile.Font.Size*
- uid: Voile.Font.Buffer
  commentId: P:Voile.Font.Buffer
  id: Buffer
  parent: Voile.Font
  langs:
  - csharp
  - vb
  name: Buffer
  nameWithType: Font.Buffer
  fullName: Voile.Font.Buffer
  type: Property
  source:
    remote:
      path: Voile/Source/Resources/Font.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Buffer
    path: Source/Resources/Font.cs
    startLine: 13
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public byte[]? Buffer { get; }
    parameters: []
    return:
      type: System.Byte[]
    content.vb: Public Property Buffer As Byte()
  overload: Voile.Font.Buffer*
- uid: Voile.Font.BufferSize
  commentId: P:Voile.Font.BufferSize
  id: BufferSize
  parent: Voile.Font
  langs:
  - csharp
  - vb
  name: BufferSize
  nameWithType: Font.BufferSize
  fullName: Voile.Font.BufferSize
  type: Property
  source:
    remote:
      path: Voile/Source/Resources/Font.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: BufferSize
    path: Source/Resources/Font.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public long BufferSize { get; set; }
    parameters: []
    return:
      type: System.Int64
    content.vb: Public Property BufferSize As Long
  overload: Voile.Font.BufferSize*
- uid: Voile.Font.#ctor(System.String,System.Byte[])
  commentId: M:Voile.Font.#ctor(System.String,System.Byte[])
  id: '#ctor(System.String,System.Byte[])'
  parent: Voile.Font
  langs:
  - csharp
  - vb
  name: Font(string, byte[])
  nameWithType: Font.Font(string, byte[])
  fullName: Voile.Font.Font(string, byte[])
  type: Constructor
  source:
    remote:
      path: Voile/Source/Resources/Font.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Resources/Font.cs
    startLine: 16
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public Font(string path, byte[] buffer)
    parameters:
    - id: path
      type: System.String
    - id: buffer
      type: System.Byte[]
    content.vb: Public Sub New(path As String, buffer As Byte())
  overload: Voile.Font.#ctor*
  nameWithType.vb: Font.New(String, Byte())
  fullName.vb: Voile.Font.New(String, Byte())
  name.vb: New(String, Byte())
references:
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.Resource
  commentId: T:Voile.Resource
  parent: Voile
  href: Voile.Resource.html
  name: Resource
  nameWithType: Resource
  fullName: Voile.Resource
- uid: System.IDisposable
  commentId: T:System.IDisposable
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.idisposable
  name: IDisposable
  nameWithType: IDisposable
  fullName: System.IDisposable
- uid: Voile.Resource.Path
  commentId: P:Voile.Resource.Path
  parent: Voile.Resource
  href: Voile.Resource.html#Voile_Resource_Path
  name: Path
  nameWithType: Resource.Path
  fullName: Voile.Resource.Path
- uid: Voile.Resource.Dispose
  commentId: M:Voile.Resource.Dispose
  parent: Voile.Resource
  href: Voile.Resource.html#Voile_Resource_Dispose
  name: Dispose()
  nameWithType: Resource.Dispose()
  fullName: Voile.Resource.Dispose()
  spec.csharp:
  - uid: Voile.Resource.Dispose
    name: Dispose
    href: Voile.Resource.html#Voile_Resource_Dispose
  - name: (
  - name: )
  spec.vb:
  - uid: Voile.Resource.Dispose
    name: Dispose
    href: Voile.Resource.html#Voile_Resource_Dispose
  - name: (
  - name: )
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Font.Size*
  commentId: Overload:Voile.Font.Size
  href: Voile.Font.html#Voile_Font_Size
  name: Size
  nameWithType: Font.Size
  fullName: Voile.Font.Size
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: Voile.Font.Buffer*
  commentId: Overload:Voile.Font.Buffer
  href: Voile.Font.html#Voile_Font_Buffer
  name: Buffer
  nameWithType: Font.Buffer
  fullName: Voile.Font.Buffer
- uid: System.Byte[]
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.byte
  name: byte[]
  nameWithType: byte[]
  fullName: byte[]
  nameWithType.vb: Byte()
  fullName.vb: Byte()
  name.vb: Byte()
  spec.csharp:
  - uid: System.Byte
    name: byte
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.byte
  - name: '['
  - name: ']'
  spec.vb:
  - uid: System.Byte
    name: Byte
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.byte
  - name: (
  - name: )
- uid: Voile.Font.BufferSize*
  commentId: Overload:Voile.Font.BufferSize
  href: Voile.Font.html#Voile_Font_BufferSize
  name: BufferSize
  nameWithType: Font.BufferSize
  fullName: Voile.Font.BufferSize
- uid: System.Int64
  commentId: T:System.Int64
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int64
  name: long
  nameWithType: long
  fullName: long
  nameWithType.vb: Long
  fullName.vb: Long
  name.vb: Long
- uid: Voile.Font.#ctor*
  commentId: Overload:Voile.Font.#ctor
  href: Voile.Font.html#Voile_Font__ctor_System_String_System_Byte___
  name: Font
  nameWithType: Font.Font
  fullName: Voile.Font.Font
  nameWithType.vb: Font.New
  fullName.vb: Voile.Font.New
  name.vb: New
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
